import { type Component, For } from "solid-js";
import { useNotifications } from "../ProtectedRoute";
import { base } from "../network";

export const ProcessingImages: Component = () => {
    const notifications = useNotifications();

    return (
        <For each={Object.entries(notifications.state.ProcessingImages)}>
            {([id]) => <img alt="processing" src={`${base}/image/${id}`} />}
        </For>
    );
};
